Slide 1

This presentation contains content that your browser may not be able to show properly. This presentation was optimized for more recent versions of Microsoft Internet Explorer.

If you would like to proceed anyway, click here.


Click to edit Master title style
Click to edit Master text styles
Second level
Third level
Fourth level
Fifth level
‹date/time›
‹footer›
‹#›


Notes
Slide Show
Outline

1 | Create Mohid_V4.0 workspace
2 | Create MohidBase1 library project
3 | MohidBase1 library settings
4 | HDF library and modules
5 | Create MohidBase2 library project
6 | MohidBase2 library settings
7 | MohidBase2 library dependencies
8 | Create Mohid Water project
9 | Mohid Water project dependencies
10 | Mohid Water project settings
11 | Mohid Water project settings
12 | Mohid Water project settings
13 | Mohid modules files
14 | All projects settings (obligatory)
15 | All projects settings
16 | Mohid Water MPI project settings
17 | Mohid Water MPI project settings
18 | Mohid Water project MPI settings
19 | Mohid Water fast compiling project settings
20 | Mohid Water fast compiling project settings


1.Open the Developer Studio
2.Select File... New
3.Select Workspaces tab
4.Create a blank workspace
Create Mohid_V4.0 workspace


1.Select File...New
2.Select Projects tab
3.Create a Fortran Static Library. Name it MohidBase1.
Create MohidBase1 library project


1.Select Project...Settings
2.Select Fortran tab
3.Select PreProcessor at the dropdown box
4.Write the path to the HDF libraries in “INCLUDE and USE” Paths text box
5.Check “Use FPP” check box
MohidBase1 library settings


1.Get your HDF5 library and modules from Source Safe and place them in a folder
HDF library and modules


1.Select File...New
2.Select Projects tab
3.Create a Fortran Static Library. Name it MohidBase2.
Create MohidBase2 library project


1.Select Project...Settings
2.Select Fortran tab
3.Select PreProcessor at the dropdown box
4.Write the path to the MohidBase1.lib location and also to the HDF libraries in “INCLUDE and USE” Paths text box
5.Check “Use FPP” check box
MohidBase2 library settings


1.Select Project...Dependencies
2.Select MohidBase1 check box
MohidBase2 library dependencies


Create Mohid Water project
1.Select File...New
2.Select Projects tab
3.Create a Fortran Console Application. Name it MohidSurfaceWater.


1.Select Project...Dependencies
2.Select MohidBase1 and MohidBase2 check boxes
Mohid Water project dependencies


1.Select Project...Settings
2.Select Fortran tab
3.Select PreProcessor at the dropdown box
4.Write the path to the MohidBase1.lib and MohidBase2.lib locations and also to the HDF libraries in “INCLUDE and USE” Paths text box
5.Check “Use FPP” check box
Mohid Water project settings


1.Select Project...Settings
2.Select Link tab
3.Select Input at the dropdown box
4.Write the path to the HDF libraries “Additional library path” text box
Mohid Water project settings


1.Select Project...Settings
2.Select Link tab
3.Select General at the dropdown box
4.Write kernel32.lib and hdf5.lib at the “Object/library modules” text box
Mohid Water project settings


1.Select Project...Settings
2.Select Fortran tab
3.Select Compilation Diagnostics at the dropdown box
4.Select all check boxes at the list (Argument Mismatch, Data Alignment,...)
5.Select Fortran95 at the Fortran Standards Checking
All projects settings (obligatory)


1.Select Tools...Options
2.Select Tabs tab
3.Select Fortran at the dropdown box
4.Select “Insert spaces” radio button
All projects settings


1.Get Mohid files from Source Safe and add them to the correspondent projects
Mohid modules files


Mohid Water MPI project settings
1.Select Project...Settings
2.Select Link tab
3.Select General at the dropdown box
4.Add mpich.Lib at the “Object/library modules” text box


1.After performing all the previous settings
2.Select Project...Settings
3.Select Fortran tab
4.Select PreProcessor in the dropdown box
5.Write in the Predefined Preprocessor Symbols the keywords :_USE_MPI
Mohid Water MPI project settings


1.Select Project...Settings
2.Select Link tab
3.Select Input at the dropdown box
4.Add the path to the where the mpich.lib is placed in “Additional library path” text box
Mohid Water project MPI settings


1.After performing all the previous settings
2.Select Project...Settings
3.Select Fortran tab
4.Select PreProcessor in the dropdown box
5.Write in the Predefined Preprocessor Symbols the keywords of modules to exclude from build.
Mohid Water fast compiling project settings
[keyword1], [keyword2], ...
_LAGRANGIAN_ => excludes Modules Lagrangian + Jet + Oil
_AIR_ => excludes Modules InterfaceWaterAir + Atmosphere
_WAVES_ => excludes Module Waves
_SEDIMENT => excludes Modules SedimentProperties + Consolidation
KEYWORDS


1.After performing all the previous settings
2.Select in the project tree Source Files, right-click and select Settings
3.Select General tabs
4.Select the modules that you wish to exclude from build
5.Check the “Exclude file from build”
6.Press OK
Mohid Water fast compiling project settings